Loading...
Searching...
No Matches
casacore::BaseAllocator< T, Sub > Class Template Reference

`#include <Allocator.h>`

## Public Types

typedef T | value_type
typedef Sub | facade_type
Public Types inherited from casacore::AbstractAllocator< T >
typedef T | value_type

## Public Member Functions

virtual | ~BaseAllocator ()
Public Member Functions inherited from casacore::AbstractAllocator< T >
virtual | ~AbstractAllocator ()

## Protected Member Functions

| BaseAllocator ()
virtual Allocator_private::BulkAllocator< T > * | getAllocator () const override
Protected Member Functions inherited from casacore::AbstractAllocator< T >
| AbstractAllocator ()

## Detailed Description

template<typename T, typename Sub>
class casacore::BaseAllocator< T, Sub >

Definition at line 338 of file Allocator.h.

## Member Typedef Documentation

## facade_type

template<typename T, typename Sub>

typedef Sub casacore::BaseAllocator< T, Sub >::facade_type

Definition at line 341 of file Allocator.h.

## value_type

template<typename T, typename Sub>

typedef T casacore::BaseAllocator< T, Sub >::value_type

Definition at line 340 of file Allocator.h.

## Constructor & Destructor Documentation

## ~BaseAllocator()

template<typename T, typename Sub>

virtual casacore::BaseAllocator< T, Sub >::~BaseAllocator | ( |  | ) |

inline virtual

Definition at line 342 of file Allocator.h.

## BaseAllocator()

template<typename T, typename Sub>

casacore::BaseAllocator< T, Sub >::BaseAllocator | ( |  | ) |

inline protected

Definition at line 344 of file Allocator.h.

## Member Function Documentation

## getAllocator()

template<typename T, typename Sub>

virtual Allocator_private::BulkAllocator< T > * casacore::BaseAllocator< T, Sub >::getAllocator | ( |  | ) | const

inline override protected virtual

Implements casacore::AbstractAllocator< T >.

Definition at line 346 of file Allocator.h.

References casacore::Allocator_private::get_allocator().

The documentation for this class was generated from the following file:

- casa/Containers/Allocator.h